package com.ym.mec.biz.dal.entity;

import java.math.BigDecimal;
import java.util.Date;

public class TeacherSalaryModifyLog {
	private Long id;

	private Integer teacherId;

	private Long courseScheduleId;

	private BigDecimal preExpectSalary;

	private BigDecimal preReduceSalary;

	private BigDecimal currentExpectSalary;

	private BigDecimal currentReduceSalary;

	private String memo;

	private Integer operatorId;

	private Date createTime;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public Integer getTeacherId() {
		return teacherId;
	}

	public void setTeacherId(Integer teacherId) {
		this.teacherId = teacherId;
	}

	public Long getCourseScheduleId() {
		return courseScheduleId;
	}

	public void setCourseScheduleId(Long courseScheduleId) {
		this.courseScheduleId = courseScheduleId;
	}

	public BigDecimal getPreExpectSalary() {
		return preExpectSalary;
	}

	public void setPreExpectSalary(BigDecimal preExpectSalary) {
		this.preExpectSalary = preExpectSalary;
	}

	public BigDecimal getPreReduceSalary() {
		return preReduceSalary;
	}

	public void setPreReduceSalary(BigDecimal preReduceSalary) {
		this.preReduceSalary = preReduceSalary;
	}

	public BigDecimal getCurrentExpectSalary() {
		return currentExpectSalary;
	}

	public void setCurrentExpectSalary(BigDecimal currentExpectSalary) {
		this.currentExpectSalary = currentExpectSalary;
	}

	public BigDecimal getCurrentReduceSalary() {
		return currentReduceSalary;
	}

	public void setCurrentReduceSalary(BigDecimal currentReduceSalary) {
		this.currentReduceSalary = currentReduceSalary;
	}

	public String getMemo() {
		return memo;
	}

	public void setMemo(String memo) {
		this.memo = memo;
	}

	public Integer getOperatorId() {
		return operatorId;
	}

	public void setOperatorId(Integer operatorId) {
		this.operatorId = operatorId;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}
}
